Module | Fog::Compute::Vsphere::Shared
In: | lib/fog/vsphere/requests/compute/vm_clone.rb lib/fog/vsphere/compute.rb

### Methods

convert_vm_mob_ref_to_attr_hash managed_obj_id parent_attribute

### Constants

ATTR_TO_PROP | = | { :id => 'config.instanceUuid', :name => 'name', :uuid => 'config.uuid', :hostname => 'summary.guest.hostName', :operatingsystem => 'summary.guest.guestFullName', :ipaddress => 'guest.ipAddress', :power_state => 'runtime.powerState', :connection_state => 'runtime.connectionState', :hypervisor => 'runtime.host', :tools_state => 'guest.toolsStatus', :tools_version => 'guest.toolsVersionStatus', :memory_mb => 'config.hardware.memoryMB', :cpus => 'config.hardware.numCPU', :overall_status => 'overallStatus', :guest_id => 'summary.guest.guestId', }

### Attributes

vsphere_is_vcenter | [R] |
vsphere_rev | [R] |
vsphere_server | [R] |
vsphere_username | [R] |

### Protected Instance methods

convert_vm_mob_ref_to_attr_hash(vm_mob_ref)

Utility method to convert a VMware managed object into an attribute hash. This should only really be necessary for the real class. This method is expected to be called by the request methods in order to massage VMware Managed Object References into Attribute Hashes.

managed_obj_id(obj)

returns vmware managed obj id string

parent_attribute(path, type)

     returns the parent object based on a type
     provides both real RbVmomi object and its name.
     e.g.

[Datacenter("datacenter-2"), "dc-name"]

[Validate]